---
- name: install git
  homebrew:
    name: git
    install_options: with-curl,with-openssl
    state: latest
  when: ansible_os_family|lower == 'darwin'
  tags:
    - git
    - install
    - git-install

- name: install ~/.cvsignore
  template:
    src: cvsignore.j2
    dest: ~/.cvsignore
  tags:
    - git
    - install
    - git-install

- name: install ~/.gitconfig
  template:
    src: gitconfig.j2
    dest: ~/.gitconfig
  tags:
    - git
    - install
    - git-install

- name: git helper config
  template:
    src: git-helpers
    dest: ~/.bashrc.d/git-helpers
  tags:
    - git
    - install
    - git-install
